﻿using Adaptation.PeerGroup.GCL.SecsDriver;
using System;

namespace Adaptation.Eaf.Management.ConfigurationData.Semiconductor.CellInstances;

[System.Runtime.Serialization.DataContractAttribute]
public class SecsConnectionConfiguration
{
    public SecsConnectionConfiguration() { }

    [System.Runtime.Serialization.DataMemberAttribute]
    public virtual TimeSpan T6HsmsControlMessage { get; set; }
    [System.Runtime.Serialization.DataMemberAttribute]
    public virtual TimeSpan T5ConnectionSeperation { get; set; }
    [System.Runtime.Serialization.DataMemberAttribute]
    public virtual TimeSpan T4InterBlock { get; set; }
    [System.Runtime.Serialization.DataMemberAttribute]
    public virtual TimeSpan T3MessageReply { get; set; }
    [System.Runtime.Serialization.DataMemberAttribute]
    public virtual TimeSpan T2Protocol { get; set; }
    [System.Runtime.Serialization.DataMemberAttribute]
    public virtual TimeSpan T1InterCharacter { get; set; }
    [System.Runtime.Serialization.DataMemberAttribute]
    public virtual SerialBaudRate? BaudRate { get; set; }
    [System.Runtime.Serialization.DataMemberAttribute]
    public virtual SecsTransportType? PortType { get; set; }
    [System.Runtime.Serialization.DataMemberAttribute]
    public virtual long? Port { get; set; }
    [System.Runtime.Serialization.DataMemberAttribute]
    public virtual TimeSpan LinkTestTimer { get; set; }
    [System.Runtime.Serialization.DataMemberAttribute]
    public virtual string Host { get; set; }
    [System.Runtime.Serialization.DataMemberAttribute]
    public virtual long? DeviceId { get; set; }
    [System.Runtime.Serialization.DataMemberAttribute]
    public virtual HsmsSessionMode? SessionMode { get; set; }
    [System.Runtime.Serialization.DataMemberAttribute]
    public virtual HsmsConnectionMode? ConnectionMode { get; set; }
    [System.Runtime.Serialization.DataMemberAttribute]
    public virtual TimeSpan T7ConnectionIdle { get; set; }
    [System.Runtime.Serialization.DataMemberAttribute]
    public virtual TimeSpan T8NetworkIntercharacter { get; set; }
}