using System;
using System.Collections.Generic;
using System.IO;
using System.Text.Json;

namespace Adaptation.Shared.Methods;

public interface IProcessData : Properties.IProcessData
{

    string GetCurrentReactor(IFileRead fileRead, Logistics logistics, Dictionary<string, string> reactors);
    Tuple<string, Test[], JsonElement[], List<FileInfo>> GetResults(IFileRead fileRead, Logistics logistics, List<FileInfo> fileInfoCollection);

}