using System;
using System.Collections.Generic;

namespace Adaptation.Shared.Properties;

public interface ILogistics
{

    public object NullData { get; }
    public string JobID { get; } //CellName
    public long Sequence { get; } //Ticks
    public DateTime DateTimeFromSequence { get; }
    public double TotalSecondsSinceLastWriteTimeFromSequence { get; }
    public string MesEntity { get; } //SPC
    public string ReportFullPath { get; } //Extract file
    public string ProcessJobID { get; set; } //Reactor (duplicate but I want it in the logistics)
    public string MID { get; set; } //Lot & Pocket || Lot
    public List<string> Tags { get; set; }
    public List<string> Logistics1 { get; set; }
    public List<Logistics2> Logistics2 { get; set; }

}